Subject: Re: bug#12065: 24.1; `custom-magic-show': set to "no", cannot get back again

From: Eli Zaretskii <[email-masked]>
Date: Sat, 06 Aug 2016 10:16:25 +0300

tags 12065 + notabug
thanks

> Date: Fri, 5 Aug 2016 17:03:51 -0700 (PDT)
> From: Drew Adams <[email-masked]>
> Cc: [email-masked]
> 
> > Apart from doing a setq manually, there is an "Apply" (it's labeled "Set
> > for current session" in 24.1) button at the top of the buffer.
> 
> Huh?  I don't understand how that means that this is not a bug.

You've misunderstood what Noam was saying, that's all.

> You might not have the will or resources to fix this now, but
> this certainly must be a bug.

And this is an uncalled-for attack.  Are you working on acquiring yet
another member of the project who will not want to work on your bug
reports?  If so, you are on the right path.

> If a user can change the value using the Value menu then it
> should be possible to change it back again, _using the Value
> menu_.

What Noam tells you is this: if you click "Apply" after selecting any
other value, the "State" button reappears.  And the help-echo on the
"Apply" and "Apply and Save" buttons is also revealing.

> It makes no difference that there might be other ways to change
> it back.  This bug is about using the Value menu (and then the
> State menu).

There is no bug that I can see, Emacs is behaving as documented and as
expected, since hiding that button is part of what the nil value does.

> The point of this bug is that using the Value menu is a one-way
> street, exceptionally, in the case of this one option.

No, it isn't.  See above.

> That's not normal - why should this option be an exception to how
> Emacs Customize works?

Because that's its purpose.

> And if you change the value to short or long there is no such
> problem.

Indeed, as documented.

> Using the Value menu to change the value to no should make the
> State menu disappear.  Period.

That's what Emacs does.